Name:           pintail
Version:        0.4
Release:        8%{?dist}
Summary:        Build web sites from Mallard sources

License:        GPLv2+
URL:            https://pypi.python.org/pypi/pintail
Source0:        https://github.com/projectmallard/pintail/archive/%{version}.tar.gz
Source1:        %{name}.1

BuildArch:      noarch
BuildRequires:  python3-devel

Requires: python3-lxml
Requires: python3-elasticsearch
Requires: python3-mallard-ducktype

%description
Pintail is a tool that automates building entire web
sites from Mallard sources. Normally, a Mallard document 
consists of all the pages within a single directory. 

Pages can refer to each other by ID using the xref attribute 
of the link element. Pintail allows multiple directories, and 
extends the xref attribute to allow referencing pages in other 
directories.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%license COPYING
%doc README.md NEWS
%{python3_sitelib}/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4-6
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4-2
- Rebuild for Python 3.6

* Thu Oct 13 2016 William Moreno <williamjmorenor@gmail.com> - 0.4-1
- Update to v0.4 release
- Add a manpage
- 

* Mon Aug 22 2016 William Moreno <williamjmorenor@gmail.com> - 0.3-1.20160805git6f2daf7
- Add time stamp in %%release

* Wed Aug 10 2016 William Moreno <williamjmorenor@gmail.com> - 0.3-1git6f2daf7
- Update to 0.3-1git6f2daf7

* Thu Aug 04 2016 William Moreno <williamjmorenor@gmail.com> - 0.3-1gitd669691
- Initial Packaging
- Last upstream release 0.3
